QGIS Application - Bug report #12733
Layer order list corrupted if a layer reference can't be resolved
2015-05-11 10:50 PM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Project Loading/Saving

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20833
Description

If a project has a layer order that overrides the default rendering order and a layer reference can't be resolved during project load (e.g. due
to a missing file) then the layer is removed, but leaves the layer order list in a corrupted state.

It looks like the list indexes are corrupted due to the reduced number of layers which are not taken into account.
One can test this through constructing a new project with a couple of layers, overriding the default layer order and then adding a raster

layer in between. Then the project should be saved and the raster layer moved to a different name. Finally the project should be reloaded
and you can see the corrupted layer order list.

Associated revisions

Revision 78c60a29 - 2015-06-11 06:52 PM - Jiirgen Fischer

handle bad layers when custom layer order is set (fixes #12733)

Revision 99df33fb - 2015-06-29 06:53 PM - Jiirgen Fischer

handle bad layers when custom layer order is set (fixes #12733)

(cherry picked from commit 78c60a297¢c64f87b2c7fd15801a3c62d8af92cb0)

History

#1 - 2015-06-11 09:53 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"78c60a297c64f87b2c7fd15801a3c62d8af92chb0".
